A generic error that can be returned by the backend if somethings fails during the processing of a request

validatable

### Hierarchy

- Error
  - SCErrorResponse

### Implemented by

- SCError
- SCInternalServerErrorResponse
- SCMethodNotAllowedErrorResponse
- SCNotFoundErrorResponse
- SCRequestBodyTooLargeErrorResponse
- SCSyntaxErrorResponse
- SCTooManyRequestsErrorResponse
- SCUnsupportedMediaTypeErrorResponse
- SCValidationErrorResponse

## Index

### Properties

- Error
- additionalData
- message
- name
- stack
- statusCode

## Properties

### Error

Error: ErrorConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:974

### Optional additionalData

additionalData: any

- Defined in node_modules/@openstapps/core/lib/index.d.ts:846

Additional data that describes the error

### message

message: string

Inherited from Error.message

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### name

name: string

Inherited from Error.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:965

### statusCode

statusCode: number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:850

HTTP status code to return this error with

Generated using TypeDoc